package com.example.shwetank.splashhcl;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class menu extends ListActivity {

    String[] screens = {"MainActivity", "Main2Activity",
            "Textplay","Camera","GFX","GFXsurface"};

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        /*MAKING FULL SCREEN
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN,WindowManager.LayoutParams.FLAG_FULLSCREEN);
        */
        setListAdapter(new ArrayAdapter<String>(menu.this,
                android.R.layout.simple_list_item_1, screens));
    }

    @Override
    protected void onListItemClick(ListView l, View v, int position, long id) {

        super.onListItemClick(l, v, position, id);
        String str = screens[position];
        try {
            Class classVariable = Class.forName
                    ("com.example.shwetank.splashhcl." + str);
            Intent i = new Intent(this, classVariable);
            startActivity(i);
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        super.onCreateOptionsMenu(menu);   //return deleted from this statement so that we ca inflate our own menu

        MenuInflater blowUp = getMenuInflater();
        blowUp.inflate(R.menu.cool_menu,menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        //return super.onOptionsItemSelected(item);

        switch (item.getItemId()){
            case R.id.aboutUs:
            Intent i = new Intent("com.example.shwetank.splashhcl.about");
                startActivity(i);

                break;
            case R.id.preferences:
                Intent j = new Intent
                        ("com.example.shwetank.splashhcl.Prefs");
                startActivity(j);
                break;

            case R.id.exit:
                finish();
                break;
        }
        return false;
    }
}