package com.example.shwetank.splashhcl;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.Typeface;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;

public class GraphicsActivity extends View {
    Bitmap graph;
    float vc = 0;
    Typeface font;

    public GraphicsActivity(Context context){

       super(context);
       graph = BitmapFactory.decodeResource(getResources(),R.drawable.smile1);
   //     font = Typeface.createFromAsset(context.getAssets(),"3Dumb.ttf");
   }

    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        canvas.drawColor(Color.BLACK);

        /*below code not executed becaus eunable to fetch the font from aseets


        Paint textPaint = new Paint();
        textPaint.setARGB(50,255,20,55);
        textPaint.setTextAlign(Paint.Align.CENTER);
        textPaint.setTextSize(40);
        textPaint.setTypeface(font);
        canvas.drawText("hello i am a special text",canvas.getWidth()/2,200,textPaint);

*/

        canvas.drawBitmap(graph,(canvas.getWidth())/2,vc,null);
        if (vc<canvas.getHeight()){
            vc += 20;
        }
        else{
            vc = 0;
        }

        //below rectangle will come above the smiley because it is being drawn after the smiley
        Rect middleRect = new Rect();
        middleRect.set(0,400,canvas.getWidth(),550);


        Paint c = new Paint();
        c.setColor(Color.RED);
        canvas.drawRect(middleRect,c);
        invalidate();
    }
}

